## org.mortbay.jetty.client
Class HttpExchange.CachedExchange

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.HttpExchange.CachedExchange

Direct Known Subclasses:
  HttpExchange.ContentExchange

Enclosing class:
  HttpExchange

    public static class HttpExchange.CachedExchange

extends HttpExchange

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_UNKOWN, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Constructor Summary
`HttpExchange.CachedExchange(boolean cacheFields)`

Method Summary
`HttpFields` `getResponseFields()`
`int` `getResponseStatus()`
`protected void` `onResponseHeader(Buffer name, Buffer value)`
`protected void` `onResponseStatus(Buffer version, int status, Buffer reason)`

Methods inherited from class org.mortbay.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, cancel, getAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getScheme, getStatus, getURI, getVersion, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseContent, onResponseHeaderComplete, setAddress, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setScheme, setURI, setURL, setVersion, setVersion, toString, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpExchange.CachedExchange

    public HttpExchange.CachedExchange(boolean cacheFields)

Method Detail

### getResponseStatus

    public int getResponseStatus()

### getResponseFields

    public HttpFields getResponseFields()

### onResponseStatus

    protected void onResponseStatus(Buffer version,
                                    int status,
                                    Buffer reason)
                             throws IOException

  Overrides:
    `onResponseStatus` in class `HttpExchange`
  Throws:
    `IOException`

### onResponseHeader

    protected void onResponseHeader(Buffer name,
                                    Buffer value)
                             throws IOException

  Overrides:
    `onResponseHeader` in class `HttpExchange`
  Throws:
    `IOException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.